Get Jobs

Returns a paginated list of jobs. Optional "page" and "per_page" parameters may be passed. If parameters are not present, the 1st page of up to 1000 results will be returned by default.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The identifier of the associated user.

Query Params
string

Optionally sort the job list. Allowed values are: archived_at, city, created_at, company, distribution_status, id, job_code, offlined_at, open_positions_count, posted_at, site_id, site_name, status, title, total_app_count, unrated_app_count. A direction can be given as desc(field) or asc(field); it defaults to ascending. unrated_app_count is not sortable when Pipeline is enabled; such requests are rejected with a 422 response.

string

Optionally search jobs with a matching title.

sites[]
array of strings

Optionally limit the response to jobs under the sites with the given site urls.

sites[]
tags[]
array of strings

Optionally limit the response to jobs with the given tags.

tags[]
users[]
array of strings

Optionally limit the response to jobs managed by users with the given ids. Ignored when user_roles is given.

users[]
string

Optionally limit the response to jobs where the given user holds a role. Each key is a user id and each value is a role id; leave the value blank to match any role for that user (for example user_roles[12]=3&user_roles[15]=). Takes precedence over users[].

statuses[]
array of strings

Optionally limit the response to jobs with the given statuses. Allowed values are: online, offline, archived.

statuses[]
Allowed:
distribution_status[]
array of strings

Optionally limit the response to jobs with the given distribution statuses.

distribution_status[]
locale_codes[]
array of strings

Optionally limit the response to jobs with the given locale codes.

locale_codes[]
boolean

Optionally limit the response to hidden (true) or visible (false) jobs.

string

Optional. The page number of results. Default is 1.

string

Optional. The number of results per page. Default is 1000. Max is 1000.

site_ids[]
array of strings

Optionally limit the response to jobs by sites with the given ids.

site_ids[]
string

Optionally limit the response to jobs updated after given date/time. Can be used with updated_before.

string

Optionally limit the response to jobs updated before given date/time. Can be used with updated_after.

Responses

403

Not authorized

404

Record not found. Please check to make sure that the specified ID is valid.

422

The sort or pagination parameters were invalid, for example sort_by=unrated_app_count when Pipeline is enabled.

500

Internal system error. Please contact support in the event that this occurs.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json